# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.net4j.Net4jUtil
Modifier and Type
Constant Field
Value
`public static final short`
`DEFAULT_BUFFER_CAPACITY`
`4096`
`public static final String`
`LOCAL_ACCEPTOR_DESCRIPTION`
`"local"`
`public static final String`
`LOCAL_ACCEPTOR_TYPE`
`"jvm"`
`public static final String`
`SCHEME_SEPARATOR`
`"://"`
org.eclipse.net4j.TransportConfigurator.AcceptorDescriptionParser.Factory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.acceptorDescriptionParsers"`

org.eclipse.net4j.buffer.BufferInputStream
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_MILLIS_BEFORE_TIMEOUT`
`-1L`
`public static final long`
`DEFAULT_MILLIS_INTERRUPT_CHECK`
`100L`
`public static final long`
`NO_TIMEOUT`
`-1L`
org.eclipse.net4j.buffer.BufferOutputStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEFAULT_PROPAGATE_CLOSE`
`false`
org.eclipse.net4j.buffer.IBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`CHANNEL_ID_BYTES`
`2`
`public static final int`
`CHANNEL_ID_POS`
`0`
`public static final short`
`HEADER_SIZE`
`4`
`public static final short`
`MAX_CHANNEL`
`32767`
`public static final short`
`MIN_CHANNEL`
`1`
`public static final short`
`NO_CHANNEL`
`-32768`
`public static final int`
`PAYLOAD_SIZE_BYTES`
`2`
`public static final int`
`PAYLOAD_SIZE_POS`
`2`

org.eclipse.net4j.channel.IChannelMultiplexer
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_OPEN_CHANNEL_TIMEOUT`
`-1L`
`public static final long`
`NO_CHANNEL_TIMEOUT`
`9223372036854775807L`

org.eclipse.net4j.connector.IConnector
Modifier and Type
Constant Field
Value
`public static final long`
`NO_TIMEOUT`
`-1L`

org.eclipse.net4j.protocol.IProtocol2<INFRA_STRUCTURE>
Modifier and Type
Constant Field
Value
`public static final int`
`UNSPECIFIED_VERSION`
`0`

org.eclipse.net4j.signal.ISignalProtocol<INFRA_STRUCTURE>
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_TIMEOUT`
`10000L`
`public static final long`
`NO_TIMEOUT`
`-1L`
org.eclipse.net4j.signal.RequestWithMonitoring<RESULT>
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_CANCELATION_POLL_INTERVAL`
`100L`
`public static final int`
`DEFAULT_MONITOR_PROGRESS_SECONDS`
`1`
`public static final int`
`DEFAULT_MONITOR_TIMEOUT_SECONDS`
`10`
org.eclipse.net4j.signal.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`NO_TIMEOUT`
`-1L`
org.eclipse.net4j.signal.SignalProtocol<INFRA_STRUCTURE>
Modifier and Type
Constant Field
Value
`public static final short`
`SIGNAL_ACKNOWLEDGE_COMPRESSED_STRINGS`
`-5`
`public static final short`
`SIGNAL_MONITOR_CANCELED`
`-2`
`public static final short`
`SIGNAL_MONITOR_PROGRESS`
`-3`
`public static final short`
`SIGNAL_REMOTE_EXCEPTION`
`-1`
`public static final short`
`SIGNAL_SET_TIMEOUT`
`-4`

org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE`
`"heartbeat"`

org.eclipse.net4j.tcp.ITCPAcceptor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ADDRESS`
`"0.0.0.0"`
org.eclipse.net4j.tcp.TCPUtil
Modifier and Type
Constant Field
Value
`public static final String`
`CREDENTIALS_SEPARATOR`
`"@"`
`public static final String`
`FACTORY_TYPE`
`"tcp"`
`public static final String`
`PORT_SEPARATOR`
`":"`

org.eclipse.net4j.ui.AcceptorContentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.acceptors"`
org.eclipse.net4j.ui.ConnectorContentProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.connectors"`

org.eclipse.net4j.ws.IWSConnector
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPTOR_NAME_PREFIX`
`"@"`
org.eclipse.net4j.ws.WSUtil
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORY_TYPE`
`"ws"`

org.eclipse.net4j.ws.jetty.Net4jWebSocket
Modifier and Type
Constant Field
Value
`public static final short`
`CONTROL_CHANNEL_ID`
`0`
`public static final byte`
`OPCODE_DEREGISTRATION`
`0x4`
`public static final byte`
`OPCODE_NEGOTIATION`
`0x1`
`public static final byte`
`OPCODE_REGISTRATION`
`0x2`
`public static final byte`
`OPCODE_REGISTRATION_ACK`
`0x3`

org.eclipse.spi.net4j.AcceptorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.acceptors"`
org.eclipse.spi.net4j.ClientProtocolFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.clientProtocols"`
org.eclipse.spi.net4j.ConnectorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.connectors"`
org.eclipse.spi.net4j.InternalChannelMultiplexer
Modifier and Type
Constant Field
Value
`public static final short`
`RESERVED_CHANNEL`
`0`
org.eclipse.spi.net4j.ServerProtocolFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PRODUCT_GROUP`
`"org.eclipse.net4j.serverProtocols"`